package cc.smtweb.biz.mztb.web.base.partyInfo;

import cc.smtweb.biz.mztb.web.base.partyDataFill.PartyDataCustomHandler;
import cc.smtweb.framework.core.annotation.SwBody;
import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.common.R;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.mvc.service.AbstractHandler;
import cc.smtweb.framework.core.session.UserSession;
import cc.smtweb.system.bpm.web.engine.model.listcard.normal.LCNormalService;

/**
 * Created by 1 at 2024-01-09 10:57:49
 * 页面【[机构信息编辑]的服务类
 */
@SwService
public class PartyInfoService extends LCNormalService {
    public final static String TYPE_CUSTOM = "custom";
    @Override
    protected AbstractHandler createHandler(String type) {
        switch (type) {
            case TYPE_CUSTOM:
                return new PartyInfoHandler();
        }
        return super.createHandler(type);
    }

/* demo
    //自定义
    public R demo(@SwBody SwMap params, UserSession us) {
        return pageHandler(params, us, TYPE_DEMO, handler -> ((DemoHandler)handler).demo());
    }
*/
public R pushParty(@SwBody SwMap params, UserSession us) {
    return pageHandler(params, us, TYPE_CUSTOM, handler -> ((PartyInfoHandler)handler).pushParty(params,us));
}

}
